Ldap Admin is a free Windows LDAP client and administration tool for LDAP directory management. This application lets you browse, search, modify, create and delete objects on LDAP server. It also supports more complex operations such as directory copy and move between remote servers and extends the common edit functions to support specific object types (such as groups and accounts).

Features

  • Browsing and editing of LDAP directories
  • Recursive operations on directory trees (copy, move and delete)
  • Modify operations on datasets
  • Binary attribute support
  • Schema browsing
  • Renaming of LDAP Entries
  • LDIF export and import
  • Password management (supports crypt, md5, sha, sha-crypt, samba)
  • Management of Posix Groups and Accounts
  • Management of Samba Accounts
  • Postfix MTA Support
  • LDAP SSL support (using Windows API)
  • Template support

阅读更多

原文链接

OpenLDAP is a free open source Light Weight Directory Access protocol developed by the OpenLDAP project. It is a platform independent protocol, so that it runs on all Linux/Unix like systems, Windows, AIX, Solaris and Android.

In this tutorial i am gonna to show you how to install and configure OpenLDAP server in Ubuntu 12.10 server. Though it is tested on Ubuntu 12.10, it may work on Debian too. In this how-to my testbox details are given below.

Operating System : Ubuntu 12.10 Server
Hostname         : server.unixmen.com
IP Address       : 192.168.1.200

Replace the above values with your own scenario.

阅读更多

丑人多作怪,考前老想多,我的考前yy又拉开了帷幕。
现在的教学材料,内容是显性的,但结构和思路有种被淹没的危险。作为一个准备教学材料的人,需要组织结构+复制粘贴内容,有点麻烦。
我的设想是做一个库,里面是零散的知识点,像一张一张卡片一样。
学生看到的界面分两栏,左栏是线索和结构,右栏是内容。教师只要准备左栏,右栏直接把相应的卡片链接过来。
这样右栏的教学内容可以recycle&reuse,效率比较高。左栏的思路也比较鲜明,不会被淹没。

比如上课的时候
左栏是
连接语若干字小儿时期造血有哪些特点呢?
连接语若干字读小儿各时期和成人血液成分表,高亮的部分有哪些临床意义?
连接语若干字什么是髓外造血?为什么小儿容易发生髓外造血?
。。。
右栏是相应的材料。

然后课代表在做复习材料的时候
可以只把重要的点摘出来放在左栏
读小儿各时期和成人血液成分表,高亮的部分有哪些临床意义?
什么是髓外造血?为什么小儿容易发生髓外造血?
还可以适当加点题目什么的,右栏可以直接链接。

想先做一个小小的例子试一下,只是完全不知道如何下手该用什么工具啊。。。

百度分享是一个提供网页地址收藏、分享及发送的WEB2.0按钮工具,借助百度分享按钮,网站的浏览者可以方便的分享内容到人人网、开心网、QQ空间、新浪微博等一系列SNS站点。 网站主可以在百度分享网站中获得分享按钮JS代码,嵌入到自己的网站,让网站链接分享到互联网各个角落!通过百度分享按钮,您的网站的浏览者可以便捷得分享您网站上的内容到人人网、开心网、qq>空间、新浪微博等SNS站点进行传播,为您的网站带回更多的流量。通过百度分享按钮,您网站上的网页将更容易被百度搜索引擎所发现,从而有机会从百度搜索带回更多的流量。通过百度分享按钮,后续您还可以免费获取详尽的分享统计分析,了解网民将您网站上哪些内容分享到哪些SNS网站,每日的分享次数是多少,帮您更好得的跟踪、分析、激励用户的分享行为,为网站带来更多的流量。

百度分享Wordpress官方插件最新更新时间2011.09.21,代码使用百度分享2.0版式时出问题,不能使用从http://share.baidu.com/code获取的代码,使用不方便,特此修改。

主要更改:

  • 支持百度分享2.0
  • 去除分享时设置分享内容还是标题
  • 减少分享插件换行数,更美观

插件地址:http://wordpress.org/plugins/baidushare-wp/
源代码:https://github.com/cuckoohello/baidushare_wp
下载地址:https://github.com/cuckoohello/baidushare_wp/archive/v1.0.2.zip
版本支持:Wordpress 2.8-3.8

wireshark/tshark

Debian系统下通过sudo dpkg-reconfigure wireshark-common会出现下图所示的配置界面

wireshark-common

wireshark-common包中相应的postinst代码如下

#!/bin/sh

set -e

. /usr/share/debconf/confmodule
PROGRAM=/usr/bin/dumpcap
GROUP=wireshark

if ! dpkg-statoverride --list $PROGRAM > /dev/null; then
    db_get wireshark-common/install-setuid
    if [ -e "$PROGRAM" ]; then
        if [ "$RET" = "false" ] ; then
            chown root:root $PROGRAM
            chmod u=rwx,go=rx $PROGRAM
        else
            if ! addgroup --quiet --system $GROUP; then
                echo "Executing \"addgroup --quiet --system $GROUP\" failed."
                echo "Most probably the $GROUP group exists, but is not a system group."
                echo "Please delete the existing group or re-create it as a system group and try configuring wireshark-common again."
                exit 1
            fi
            chown root:$GROUP $PROGRAM
            if which setcap > /dev/null ; then
                chmod u=rwx,g=rx,o=r $PROGRAM
                if ! setcap cap_net_raw,cap_net_admin=eip $PROGRAM; then
                    echo "Setting capabilities for dumpcap using Linux Capabilities failed."
                    echo "Falling back to setting set-user-id bit."
                    chmod u=rwxs,g=rx,o=r $PROGRAM
                fi
            else
                chmod u=rwxs,g=rx,o=r $PROGRAM
            fi
        fi
    fi
else
    echo "Preserving owner and mode for $PROGRAM set by dpkg-statoverride:"
    dpkg-statoverride --list $PROGRAM
fi

我们可以看出,主要进行了如下几步操作:

  1. 创建用户组wireshark
  2. 修改程序dumpcap属于用户组wireshark
  3. 设置程序dumpcap组权限读取与运行
  4. 设置程序dumpcap cap权限cap_net_raw,cap_net_admin=eip

普通用户需要使用tcpdump/wireshark仅需将用户加入wireshark用户组即可。

tcpdump

tcpdump实现普通用户运行,只需执行类似wireshark-common的操作:

PROGRAM=`which tcpdump`
GROUP=wireshark
chown root:$GROUP $PROGRAM
chmod u=rwx,g=rx,o=r $PROGRAM
setcap cap_net_raw,cap_net_admin=eip $PROGRAM

对于DNS污染,可以通过简单设置国外DNS解决,但是国内网站CDN会很慢,对此只能自行搭建DNS服务器,对于大部分网站,使用运行商DNS服务器解析,对于特殊域名,使用TCP协议通过Google DNS服务器解析,对于企业或者学校内部DNS解析,使用内部DNS服务器。

目前发现的解决方案有dnsmasq以及pdnsd两种方案,相比而言,pdnsd至少具备以下几点优势:

  • 支持DNS缓存,即便服务重启
  • 配置更灵活
  • 指定上级请求方式

pdnsd配置文件有很多参数,这里列举一些感兴趣的备用:

  • Global Section
    • interface=string;:指定绑定网口
    • proxy_only=(on|off);:直接采用该服务器结果,不本机递归查询
    • randomize_servers=(on|off);
    • policy=(included|excluded|simple_only|fqdn_only);:默认策略,配合include/exclude使用
    • include=”.foo”,”.bar”,”.my.dom”;
    • exclude=”.foo”,”.bar”,”.my.dom”;

示例配置:

global {
        perm_cache=2048;
        cache_dir="/var/cache/pdnsd";
        run_as="pdnsd";
        interface=br-tinc;

        status_ctl = on;
        paranoid=on;
        query_method=tcp_only;

        min_ttl=15m;       // Retain cached entries at least 15 minutes.
        max_ttl=1w;        // One week.
        timeout=10;        // Global timeout option (10 seconds).

        // Don't enable if you don't recurse yourself, can lead to problems
        // delegation_only="com","net";
}
/* with status_ctl=on and resolvconf installed, this will work out from the box
   this is the recommended setup for mobile machines */
server {
        label="resolvconf";
}

server {
        label="cernet";
        ip = 202.112.0.23;
        proxy_only=on;
        policy = included;
        exclude = .localdomain,
                ,       .gmail.com
                        ,       .google-analytics.com
                        ,       .google.co.jp
                        ,       .google.com;
}
server {
        label="Google Public Dns";
        ip = 8.8.8.8, 8.8.4.4;
        policy = excluded;
        include =  .gmail.com
                ,       .google-analytics.com
                ,       .google.co.jp
                ,       .google.com;
}
                                                                                                               server {
        label = "root-servers";
        ip =    198.41.0.4
                ,       192.228.79.201
                ,       192.33.4.12
                ,       128.8.10.90
                ,       192.203.230.10
                ,       192.5.5.241
                ,       192.112.36.4
                ,       128.63.2.53
                //      ,       192.36.148.17
                //      ,       192.58.128.30
                //      ,       193.0.14.129
                //      ,       198.32.64.12
                //      ,       202.12.27.33
                ;
        timeout = 5;
        uptest = query;
        interval = 30m;      // Test every half hour.
        ping_timeout = 300;  // 30 seconds.
        purge_cache = off;
        exclude = .localdomain;
        policy = included;
        preset = off;
}

StrongSwan软件服务器直接apt-get从Debian仓库获取,搭建过程、各参数含义以及客户端配置流程按照 OpenSuse SDB:Setup Ipsec VPN with Strongswan即可。

一些注意事项:

  • Debian安装StrongSwan服务器
    • sudo apt-get install strongswan libcharon-extra-plugins -y
      • 无需安装strongswan-ikev、strongswan-ikev1、strongswan-ikev2,新版本中已用charon替代
      • 必须安装libcharon-extra-plugins,其中包含xauth-generic、eap-radius、eap-mschapv2等认证
  • 证书生成部分必须使用你的服务器URL或者IP地址
  • pkcs12 证书可不生成,该证书仅在使用networkmanager-strongswan配置连接时使用,该方式更安全但客户端配置时必须导入证书,不便直接使用
  • 调试结束后,将strongswan.conf配置文件中filelog等级default设置为1或者0,否则日志文件将快速增长
    • default 是默认日志级别:-1,0,1,2,3,4。-1 是完全没有日志; 0 只告诉你连接建立、连接关闭; 1 只输出错误提示; 2 会输出错误、警告和调试信息; 3 会把连接传输的数据也打印; 4 则会把密钥内容这些敏感数据也打印。一般情况下,1 或 2 都可以。

bugs:

据说是老爷子最得意的综述
下一步要做的事情
找到脊髓里的marker看下怎么做Gcamp小鼠或者干脆就在STT用光纤激活
尽量做到外周给刺激,能看population的激活状况
或者看下还有什么验证neural circuit的技术

还有一条感想,要相信自己的感觉和疑问,要深挖不要轻易止步

  • Change debian wordpress default htaccess file permission: chown www-data:www-data /etc/wordpress/htaccess
  • Enable Apache rewrite mod: a2enmod rewrite
  • Changing AllowOverride None for AllowOverride All in your apache wordpress site config
  • restart apache server
  • Config Permalinks in your wordpress settings.

参考:1, 2

原文链接

I got this error trying to run BackWPup on WordPress for the first time:

Server self connect: The HTTP response test get a error “connect() timed out!”The HTTP response test get a false http status ()

enter image description here

I needed to add the internal ip address of my wordpress DNS name to the /etc/hosts file.